/* This file is part of mailfromd.
   Copyright (C) 2007 Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
   MA 02110-1301 USA */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include "mailfromd.h"

void
openat_save_fail(int errno)
{
	mu_error("unable to record current working directory: %s",
		  mu_strerror(errno));
	exit(EX_OSERR);
}

void
openat_restore_fail(int errno)
{
	mu_error("failed to return to initial working directory: %s",
		  mu_strerror(errno));
	exit(EX_OSERR);
}

